7 comments
Comment actions Permalink

Hi there,

Please show screenshot of your "Settings (Preferences on Mac) | Languages & Frameworks | JavaScript | Libraries" screen

0
Comment actions Permalink

Screen Shot 2015-02-21 at 1.51.39 PM.png

Hmmm I enabled Node.js Globals and I also enabled Node for JSLint:

Screen Shot 2015-02-21 at 1.54.21 PM.png


but then JSLint says require is not defined:

Screen Shot 2015-02-21 at 1.50.54 PM.png

0
Comment actions Permalink

You need to enable "Node.js Globals" entry.

0
Comment actions Permalink

I did, right before I got the JSLint error.   Let me update my pic.

That second pic is what I still get even after enabling the globals for Node.  JSLint can't recognize the require keyword now.

0
Comment actions Permalink
but then JSLint says require is not defined:

Cannot help you on this one:

1) JSLint/JSHint are separate external inspections (tools) which can be enabled/disabled if necessary.

2) I'm not node.js user .. so cannot give you any better advice except searching this forum. But so far it looks more like misconfiguration somewhere. For example -- for JSLine you may need to tick "Node.js" option in "Assume" section...

0
Comment actions Permalink

Maybe try "File | Invalidate Caches..." and restart IDE.


1

Please sign in to leave a comment.